Browse Source

Merge branch 'debian/jessie' into debian/experimental

Conflicts:
	apt-pkg/acquire-item.cc
	cmdline/apt-key.in
	methods/https.cc
	test/integration/test-apt-key
	test/integration/test-multiarch-foreign
debian/1.8.y
David Kalnischkies 7 years ago
parent
commit
05f64ca2e4
  1. 2
      apt-pkg/contrib/strutl.h
  2. 2
      apt-pkg/deb/deblistparser.cc
  3. 11
      apt-pkg/deb/dpkgpm.cc
  4. 2
      cmdline/apt-key.in
  5. 2
      configure.ac
  6. 19
      debian/changelog
  7. 2
      doc/apt-verbatim.ent
  8. 7
      test/integration/test-apt-key
  9. 159
      test/integration/test-multiarch-foreign
  10. 148
      test/integration/test-specific-architecture-dependencies

2
apt-pkg/contrib/strutl.h

@ -81,7 +81,7 @@ bool TokSplitString(char Tok,char *Input,char **List,
unsigned long ListMax);
// split a given string by a char
std::vector<std::string> VectorizeString(std::string const &haystack, char const &split) APT_CONST;
std::vector<std::string> VectorizeString(std::string const &haystack, char const &split) APT_PURE;
/* \brief Return a vector of strings from string "input" where "sep"
* is used as the delimiter string.

2
apt-pkg/deb/deblistparser.cc

@ -806,7 +806,7 @@ bool debListParser::ParseDepends(pkgCache::VerIterator &Ver,
if (NewDepends(Ver,Package,"none",Version,Op,Type) == false)
return false;
}
else if (MultiArchEnabled == true && found != string::npos &&
else if (found != string::npos &&
strcmp(Package.c_str() + found, ":any") != 0)
{
string Arch = Package.substr(found+1, string::npos);

11
apt-pkg/deb/dpkgpm.cc

@ -1890,8 +1890,15 @@ void pkgDPkgPM::WriteApportReport(const char *pkgpath, const char *errormsg)
}
}
// log the ordering
const char *ops_str[] = {"Install", "Configure","Remove","Purge"};
// log the ordering, see dpkgpm.h and the "Ops" enum there
const char *ops_str[] = {
"Install",
"Configure",
"Remove",
"Purge",
"ConfigurePending",
"TriggersPending",
};
fprintf(report, "AptOrdering:\n");
for (vector<Item>::iterator I = List.begin(); I != List.end(); ++I)
if ((*I).Pkg != NULL)

2
cmdline/apt-key.in

@ -168,7 +168,7 @@ remove_key_from_keyring() {
local GPG="$GPG_CMD --keyring $KEYRINGFILE"
for KEY in "$@"; do
# check if the key is in this keyring: the key id is in the 5 column at the end
if ! get_fingerprints_of_keyring "$KEYRINGFILE" | grep -q "^[0-9A-F]*${KEY}$"; then
if ! get_fingerprints_of_keyring "$KEYRINGFILE" | grep -iq "^[0-9A-F]*${KEY}$"; then
continue
fi
if [ ! -w "$KEYRINGFILE" ]; then

2
configure.ac

@ -18,7 +18,7 @@ AC_CONFIG_AUX_DIR(buildlib)
AC_CONFIG_HEADER(include/config.h:buildlib/config.h.in include/apti18n.h:buildlib/apti18n.h.in)
PACKAGE="apt"
PACKAGE_VERSION="1.0.9.7"
PACKAGE_VERSION="1.0.9.8"
PACKAGE_MAIL="APT Development Team <deity@lists.debian.org>"
AC_DEFINE_UNQUOTED(PACKAGE,"$PACKAGE")
AC_DEFINE_UNQUOTED(PACKAGE_VERSION,"$PACKAGE_VERSION")

19
debian/changelog

@ -234,6 +234,25 @@ apt (1.1~exp1) experimental; urgency=low
-- Michael Vogt <mvo@debian.org> Thu, 19 Jun 2014 12:01:48 +0200
apt (1.0.9.8) unstable; urgency=medium
[ David Kalnischkies ]
* fix another d(e)select-upgrade typo (LP: #1399037)
* properly handle expected filesize in https.
Thanks to Robert Edmonds and Anders Kaseorg for initial patchs
(Closes: 777565, 781509) (LP: #807303)
* avoid depends on std::string implementation for pkgAcquire::Item::Mode
(Closes: 781858)
* demote VectorizeString gcc attribute from const to pure
* keyids in "apt-key del" should be case-insensitive (Closes: 781696)
* parse specific-arch dependencies correctly on single-arch systems
(Closes: 777760)
[ Michael Vogt ]
* fix crash in order writing in pkgDPkgPM::WriteApportReport() (LP: #1436626)
-- David Kalnischkies <david@kalnischkies.de> Mon, 13 Apr 2015 07:14:36 +0200
apt (1.0.9.7) unstable; urgency=medium
[ Tomasz Buchert ]

2
doc/apt-verbatim.ent

@ -225,7 +225,7 @@
">
<!-- this will be updated by 'prepare-release' -->
<!ENTITY apt-product-version "1.0.9.7">
<!ENTITY apt-product-version "1.0.9.8">
<!-- (Code)names for various things used all over the place -->
<!ENTITY oldstable-codename "wheezy">

7
test/integration/test-apt-key

@ -73,6 +73,12 @@ pub 2048R/DBAC8DAE 2010-08-18'
testsuccess aptkey --fakeroot del DBAC8DAE
testempty aptkey list
msgtest 'Test key removal with' 'lowercase key ID' #keylength somewher between 8byte and short
cleanplate
cp -a keys/joesixpack.pub rootdir/etc/apt/trusted.gpg.d/joesixpack.gpg
testsuccess --nomsg aptkey --fakeroot del d141dbac8dae
testempty aptkey list
msgtest 'Test key removal with' 'single key in real file'
cleanplate
cp -a keys/joesixpack.pub rootdir/etc/apt/trusted.gpg.d/joesixpack.gpg
@ -181,3 +187,4 @@ setupgpgcommand 'gpg'
testrun
setupgpgcommand 'gpg2'
testrun

159
test/integration/test-multiarch-foreign

@ -7,9 +7,13 @@ setupenvironment
configarchitecture 'amd64' 'i386' 'armel'
insertpackage 'unstable' 'cool-foo' 'amd64,i386' '1.0' 'Depends: foo'
insertpackage 'unstable' 'cool-foo-x64' 'amd64' '1.0' 'Depends: foo:amd64'
insertpackage 'unstable' 'cool-foo-x32' 'amd64' '1.0' 'Depends: foo:i386'
insertpackage 'unstable' 'foo' 'amd64,i386,armel' '1.0' 'Multi-Arch: foreign'
insertpackage 'unstable' 'cool-bar' 'amd64,i386' '1.0' 'Depends: bar-provider'
insertpackage 'unstable' 'cool-bar-x64' 'amd64' '1.0' 'Depends: bar-provider:amd64'
insertpackage 'unstable' 'cool-bar-x32' 'amd64' '1.0' 'Depends: bar-provider:i386'
insertpackage 'unstable' 'bar' 'amd64,i386,armel' '1.0' 'Provides: bar-provider
Multi-Arch: foreign'
@ -27,28 +31,6 @@ Inst cool-foo:i386 (1.0 unstable [i386])
Conf foo (1.0 unstable [amd64])
Conf cool-foo:i386 (1.0 unstable [i386])' aptget install cool-foo:i386 -s
testsuccessequal 'Reading package lists...
Building dependency tree...
The following extra packages will be installed:
foo
The following NEW packages will be installed:
cool-foo foo
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst foo (1.0 unstable [amd64])
Inst cool-foo (1.0 unstable [amd64])
Conf foo (1.0 unstable [amd64])
Conf cool-foo (1.0 unstable [amd64])' aptget install cool-foo:amd64 -s
testsuccessequal 'Reading package lists...
Building dependency tree...
The following NEW packages will be installed:
cool-foo foo
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst foo (1.0 unstable [amd64])
Inst cool-foo (1.0 unstable [amd64])
Conf foo (1.0 unstable [amd64])
Conf cool-foo (1.0 unstable [amd64])' aptget install cool-foo:amd64 foo:amd64 -s
testsuccessequal 'Reading package lists...
Building dependency tree...
The following NEW packages will be installed:
@ -69,10 +51,6 @@ Inst cool-foo (1.0 unstable [amd64])
Conf foo:armel (1.0 unstable [armel])
Conf cool-foo (1.0 unstable [amd64])' aptget install cool-foo:amd64 foo:armel -s
testsuccessequal 'Reading package lists...
Building dependency tree...
The following extra packages will be installed:
@ -87,6 +65,60 @@ Conf cool-bar:i386 (1.0 unstable [i386])' aptget install cool-bar:i386 -s
testsuccessequal 'Reading package lists...
Building dependency tree...
The following NEW packages will be installed:
bar:i386 cool-bar
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst bar:i386 (1.0 unstable [i386])
Inst cool-bar (1.0 unstable [amd64])
Conf bar:i386 (1.0 unstable [i386])
Conf cool-bar (1.0 unstable [amd64])' aptget install cool-bar:amd64 bar:i386 -s
testsuccessequal 'Reading package lists...
Building dependency tree...
The following NEW packages will be installed:
bar:armel cool-bar
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst bar:armel (1.0 unstable [armel])
Inst cool-bar (1.0 unstable [amd64])
Conf bar:armel (1.0 unstable [armel])
Conf cool-bar (1.0 unstable [amd64])' aptget install cool-bar:amd64 bar:armel -s
testsuccessequal "Reading package lists...
Building dependency tree...
Note, selecting 'bar:i386' instead of 'bar-provider:i386'
The following NEW packages will be installed:
bar:i386 cool-bar
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst bar:i386 (1.0 unstable [i386])
Inst cool-bar (1.0 unstable [amd64])
Conf bar:i386 (1.0 unstable [i386])
Conf cool-bar (1.0 unstable [amd64])" aptget install cool-bar bar-provider:i386 -s -q=0
satisfiable_in_singlearch() {
testsuccessequal 'Reading package lists...
Building dependency tree...
The following extra packages will be installed:
foo
The following NEW packages will be installed:
cool-foo foo
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst foo (1.0 unstable [amd64])
Inst cool-foo (1.0 unstable [amd64])
Conf foo (1.0 unstable [amd64])
Conf cool-foo (1.0 unstable [amd64])' aptget install cool-foo:amd64 -s
testsuccessequal 'Reading package lists...
Building dependency tree...
The following NEW packages will be installed:
cool-foo foo
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst foo (1.0 unstable [amd64])
Inst cool-foo (1.0 unstable [amd64])
Conf foo (1.0 unstable [amd64])
Conf cool-foo (1.0 unstable [amd64])' aptget install cool-foo:amd64 foo:amd64 -s
testsuccessequal 'Reading package lists...
Building dependency tree...
The following extra packages will be installed:
bar
The following NEW packages will be installed:
@ -97,7 +129,7 @@ Inst cool-bar (1.0 unstable [amd64])
Conf bar (1.0 unstable [amd64])
Conf cool-bar (1.0 unstable [amd64])' aptget install cool-bar:amd64 -s
testsuccessequal 'Reading package lists...
testsuccessequal 'Reading package lists...
Building dependency tree...
The following NEW packages will be installed:
bar cool-bar
@ -107,44 +139,71 @@ Inst cool-bar (1.0 unstable [amd64])
Conf bar (1.0 unstable [amd64])
Conf cool-bar (1.0 unstable [amd64])' aptget install cool-bar:amd64 bar:amd64 -s
testsuccessequal 'Reading package lists...
testsuccessequal "Reading package lists...
Building dependency tree...
Note, selecting 'bar' instead of 'bar-provider'
The following NEW packages will be installed:
bar:i386 cool-bar
bar cool-bar
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst bar:i386 (1.0 unstable [i386])
Inst bar (1.0 unstable [amd64])
Inst cool-bar (1.0 unstable [amd64])
Conf bar:i386 (1.0 unstable [i386])
Conf cool-bar (1.0 unstable [amd64])' aptget install cool-bar:amd64 bar:i386 -s
Conf bar (1.0 unstable [amd64])
Conf cool-bar (1.0 unstable [amd64])" aptget install cool-bar bar-provider -s -q=0
testsuccessequal 'Reading package lists...
testsuccessequal 'Reading package lists...
Building dependency tree...
The following extra packages will be installed:
foo
The following NEW packages will be installed:
bar:armel cool-bar
cool-foo-x64 foo
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst bar:armel (1.0 unstable [armel])
Inst cool-bar (1.0 unstable [amd64])
Conf bar:armel (1.0 unstable [armel])
Conf cool-bar (1.0 unstable [amd64])' aptget install cool-bar:amd64 bar:armel -s
Inst foo (1.0 unstable [amd64])
Inst cool-foo-x64 (1.0 unstable [amd64])
Conf foo (1.0 unstable [amd64])
Conf cool-foo-x64 (1.0 unstable [amd64])' aptget install cool-foo-x64 -s
}
testsuccessequal "Reading package lists...
#FIXME: do not work in single-arch as i386 isn't known at cache generation time
testsuccessequal 'Reading package lists...
Building dependency tree...
Note, selecting 'bar' instead of 'bar-provider'
The following extra packages will be installed:
foo
The following NEW packages will be installed:
bar cool-bar
cool-foo-x32 foo
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst foo (1.0 unstable [amd64])
Inst cool-foo-x32 (1.0 unstable [amd64])
Conf foo (1.0 unstable [amd64])
Conf cool-foo-x32 (1.0 unstable [amd64])' aptget install cool-foo-x32 -s
testsuccessequal 'Reading package lists...
Building dependency tree...
The following extra packages will be installed:
bar
The following NEW packages will be installed:
bar cool-bar-x32
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst bar (1.0 unstable [amd64])
Inst cool-bar (1.0 unstable [amd64])
Inst cool-bar-x32 (1.0 unstable [amd64])
Conf bar (1.0 unstable [amd64])
Conf cool-bar (1.0 unstable [amd64])" aptget install cool-bar bar-provider -s -q=0
Conf cool-bar-x32 (1.0 unstable [amd64])' aptget install cool-bar-x32 -s -q=0
testsuccessequal "Reading package lists...
testsuccessequal 'Reading package lists...
Building dependency tree...
Note, selecting 'bar:i386' instead of 'bar-provider:i386'
The following extra packages will be installed:
bar
The following NEW packages will be installed:
bar:i386 cool-bar
bar cool-bar-x64
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst bar:i386 (1.0 unstable [i386])
Inst cool-bar (1.0 unstable [amd64])
Conf bar:i386 (1.0 unstable [i386])
Conf cool-bar (1.0 unstable [amd64])" aptget install cool-bar bar-provider:i386 -s -q=0
Inst bar (1.0 unstable [amd64])
Inst cool-bar-x64 (1.0 unstable [amd64])
Conf bar (1.0 unstable [amd64])
Conf cool-bar-x64 (1.0 unstable [amd64])' aptget install cool-bar-x64 -s -q=0
satisfiable_in_singlearch
msgmsg 'switch to single architecture'
configarchitecture 'amd64'
satisfiable_in_singlearch

148
test/integration/test-specific-architecture-dependencies

@ -12,16 +12,19 @@ insertinstalledpackage 'provider' 'amd64' '1' 'Provides: foo'
insertpackage 'unstable' 'pre-depender' 'all' '1' 'Pre-Depends: libc6:i386'
insertpackage 'unstable' 'depender' 'all' '1' 'Depends: libc6:i386'
insertpackage 'unstable' 'depender-x32' 'i386,amd64' '1' 'Depends: libc6:i386'
insertpackage 'unstable' 'depender-x64' 'i386,amd64' '1' 'Depends: libc6:amd64'
insertpackage 'unstable' 'breaker' 'all' '1' 'Breaks: libold (<< 2)'
insertpackage 'unstable' 'breaker-x32' 'amd64' '1' 'Breaks: libold:i386 (<< 2)'
insertpackage 'unstable' 'breaker-x64' 'i386' '1' 'Breaks: libold:amd64 (<< 2)'
insertpackage 'unstable' 'breaker-x32' 'i386,amd64' '1' 'Breaks: libold:i386 (<< 2)'
insertpackage 'unstable' 'breaker-x64' 'i386,amd64' '1' 'Breaks: libold:amd64 (<< 2)'
# conflicts with no effect
insertpackage 'unstable' 'oldconflictor' 'all' '1' 'Conflicts: libold (<< 0)'
insertpackage 'unstable' 'oldconflictor-x32' 'amd64' '1' 'Conflicts: libold:i386 (<< 0)'
insertpackage 'unstable' 'oldconflictor-x64' 'i386' '1' 'Conflicts: libold:amd64 (<< 0)'
insertpackage 'unstable' 'foo-depender' 'i386,amd64' '1' 'Depends: foo'
insertpackage 'unstable' 'foo-native-depender' 'amd64' '1' 'Depends: foo:amd64'
insertpackage 'unstable' 'foo-foreign-depender' 'i386' '1' 'Depends: foo:amd64'
insertpackage 'unstable' 'foo-conflictor' 'i386,amd64' '1' 'Conflicts: foo'
@ -56,6 +59,54 @@ Conf depender (1 unstable [all])' aptget install depender -s
testsuccessequal 'Reading package lists...
Building dependency tree...
The following extra packages will be installed:
libc6:i386
The following NEW packages will be installed:
depender-x32:i386 libc6:i386
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst libc6:i386 (1 unstable [i386])
Inst depender-x32:i386 (1 unstable [i386])
Conf libc6:i386 (1 unstable [i386])
Conf depender-x32:i386 (1 unstable [i386])' aptget install depender-x32:i386 -s
testequal 'Reading package lists...
Building dependency tree...
The following extra packages will be installed:
libc6:i386
The following NEW packages will be installed:
depender-x32 libc6:i386
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst libc6:i386 (1 unstable [i386])
Inst depender-x32 (1 unstable [amd64])
Conf libc6:i386 (1 unstable [i386])
Conf depender-x32 (1 unstable [amd64])' aptget install depender-x32:amd64 -s
testequal 'Reading package lists...
Building dependency tree...
The following extra packages will be installed:
libc6
The following NEW packages will be installed:
depender-x64 libc6
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst libc6 (1 unstable [amd64])
Inst depender-x64 (1 unstable [amd64])
Conf libc6 (1 unstable [amd64])
Conf depender-x64 (1 unstable [amd64])' aptget install depender-x64:amd64 -s
testequal 'Reading package lists...
Building dependency tree...
The following extra packages will be installed:
libc6
The following NEW packages will be installed:
depender-x64:i386 libc6
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst libc6 (1 unstable [amd64])
Inst depender-x64:i386 (1 unstable [i386])
Conf libc6 (1 unstable [amd64])
Conf depender-x64:i386 (1 unstable [i386])' aptget install depender-x64:i386 -s
testequal 'Reading package lists...
Building dependency tree...
The following packages will be REMOVED:
libold libold:i386
The following NEW packages will be installed:
@ -75,7 +126,29 @@ The following NEW packages will be installed:
0 upgraded, 1 newly installed, 1 to remove and 0 not upgraded.
Remv libold:i386 [1]
Inst breaker-x32 (1 unstable [amd64])
Conf breaker-x32 (1 unstable [amd64])' aptget install breaker-x32 -s
Conf breaker-x32 (1 unstable [amd64])' aptget install breaker-x32:amd64 -s
testequal 'Reading package lists...
Building dependency tree...
The following packages will be REMOVED:
libold:i386
The following NEW packages will be installed:
breaker-x32:i386
0 upgraded, 1 newly installed, 1 to remove and 0 not upgraded.
Remv libold:i386 [1]
Inst breaker-x32:i386 (1 unstable [i386])
Conf breaker-x32:i386 (1 unstable [i386])' aptget install breaker-x32:i386 -s
testequal 'Reading package lists...
Building dependency tree...
The following packages will be REMOVED:
libold
The following NEW packages will be installed:
breaker-x64
0 upgraded, 1 newly installed, 1 to remove and 0 not upgraded.
Remv libold [1]
Inst breaker-x64 (1 unstable [amd64])
Conf breaker-x64 (1 unstable [amd64])' aptget install breaker-x64:amd64 -s
testsuccessequal 'Reading package lists...
Building dependency tree...
@ -86,7 +159,7 @@ The following NEW packages will be installed:
0 upgraded, 1 newly installed, 1 to remove and 0 not upgraded.
Remv libold [1]
Inst breaker-x64:i386 (1 unstable [i386])
Conf breaker-x64:i386 (1 unstable [i386])' aptget install breaker-x64 -s
Conf breaker-x64:i386 (1 unstable [i386])' aptget install breaker-x64:i386 -s
testsuccessequal 'Reading package lists...
Building dependency tree...
@ -134,6 +207,14 @@ E: Unable to correct problems, you have held broken packages.' aptget install fo
testsuccessequal 'Reading package lists...
Building dependency tree...
The following NEW packages will be installed:
foo-native-depender
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Inst foo-native-depender (1 unstable [amd64])
Conf foo-native-depender (1 unstable [amd64])' aptget install foo-native-depender -s
testequal 'Reading package lists...
Building dependency tree...
The following NEW packages will be installed:
foo-foreign-depender:i386
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
@ -180,3 +261,62 @@ The following NEW packages will be installed:
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Inst foo-no-conflictor:i386 (1 unstable [i386])
Conf foo-no-conflictor:i386 (1 unstable [i386])' aptget install foo-no-conflictor:i386 -s
msgmsg 'switch to single architecture'
configarchitecture 'amd64'
testequal 'Reading package lists...
Building dependency tree...
The following extra packages will be installed:
libc6
The following NEW packages will be installed:
depender-x64 libc6
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst libc6 (1 unstable [amd64])
Inst depender-x64 (1 unstable [amd64])
Conf libc6 (1 unstable [amd64])
Conf depender-x64 (1 unstable [amd64])' aptget install depender-x64 -s
testequal 'Reading package lists...
Building dependency tree...
E: Unable to locate package depender-x64' aptget install depender-x64:i386 -s
testequal 'Reading package lists...
Building dependency tree...
The following NEW packages will be installed:
foo-native-depender
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Inst foo-native-depender (1 unstable [amd64])
Conf foo-native-depender (1 unstable [amd64])' aptget install foo-native-depender -s
# libold:i386 is installed, but we don't see it as i386 isn't configured
testequal 'Reading package lists...
Building dependency tree...
The following NEW packages will be installed:
breaker-x32
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Inst breaker-x32 (1 unstable [amd64])
Conf breaker-x32 (1 unstable [amd64])' aptget install breaker-x32:amd64 -s
testequal 'Reading package lists...
Building dependency tree...
The following packages will be REMOVED:
libold
The following NEW packages will be installed:
breaker-x64
0 upgraded, 1 newly installed, 1 to remove and 0 not upgraded.
Remv libold [1]
Inst breaker-x64 (1 unstable [amd64])
Conf breaker-x64 (1 unstable [amd64])' aptget install breaker-x64:amd64 -s
testequal 'Reading package lists...
Building dependency tree...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:
The following packages have unmet dependencies:
depender-x32 : Depends: libc6:i386 but it is not installable
E: Unable to correct problems, you have held broken packages.' aptget install depender-x32 -s

Loading…
Cancel
Save